Bug 1271220 - [REST] [Host network QoS] It's possible to configure weighted share and rate limit on the network to be bigger than the max value configured on engine
[REST] [Host network QoS] It's possible to configure weighted share and rate ...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
3.6.0
x86_64 Linux
low Severity medium (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Martin Mucha
Meni Yakove
: Automation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 08:07 EDT by GenadiC
Modified: 2016-07-05 03:42 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 03:42:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: blocker+
ylavi: planning_ack+
rule-engine: devel_ack+
myakove: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47998 master MERGED core,webadmin: Not validating HostNetworkQos values 2016-01-07 04:00 EST
oVirt gerrit 51484 ovirt-engine-3.6 MERGED core,webadmin: Not validating HostNetworkQos values 2016-01-18 05:06 EST
oVirt gerrit 52541 master MERGED core: invalid ValidationGroup used when record is identified by name 2016-02-08 04:29 EST
oVirt gerrit 52806 master ABANDONED core: HostNetworkQos does not have required name 2016-01-29 04:23 EST
oVirt gerrit 52877 master ABANDONED Revert "core,webadmin: Not validating HostNetworkQos values" 2016-02-01 03:18 EST
oVirt gerrit 52880 master ABANDONED core: validate qos values 2016-02-22 09:01 EST
oVirt gerrit 52881 ovirt-engine-3.6 MERGED Revert "core,webadmin: Not validating HostNetworkQos values" 2016-01-31 04:39 EST
oVirt gerrit 52901 ovirt-engine-3.6.3 MERGED Revert "core,webadmin: Not validating HostNetworkQos values" 2016-02-01 04:17 EST
oVirt gerrit 53835 master MERGED core: NetworkAttachment should use AnonymousHostNetworkQos 2016-06-20 07:39 EDT

  None (edit)
Description GenadiC 2015-10-13 08:07:02 EDT
Description of problem:
Though with UI an action of configuring weighted share to 105 (when the max default value is 100) is blocked as should be, with REST an action succeeds


Steps to Reproduce:
1. Create network on DC/Cluster and attach it to host
2. Update weighted share to 105 (when the default on engine is 100
3.

Actual results:
An action succeeds

Expected results:
Actioin should fail

Additional info:
I did it with the python script that tests Polarion test case 6527 for Host QoS feature
Comment 1 GenadiC 2015-10-19 06:44:55 EDT
Updating rate limit above 1024 succeeds as well when should fail (as on Engine 1024 is a default max value)
Comment 2 Yaniv Lavi 2015-10-29 08:42:06 EDT
In oVirt testing is done on single release by default. Therefore I'm removing the 4.0 flag. If you think this bug must be tested in 4.0 as well, please re-add the flag. Please note we might not have testing resources to handle the 4.0 clone.
Comment 3 Alona Kaplan 2015-11-19 12:05:57 EST
Genadi,

The scenario of (1) adding/updating host network qos is working for me. In case the value is not in the range I get the appropriate error.

However, overriding the 'qos' via the (2) Add/UpdateNetworkAttachment or via (3) HostSetupNetworks actually doesn't present the error.

In your bug, to what flow did you refer? If you referred to flow (1), please try to reproduce it again and update the bug with the result.

Please also add an engine log.
Comment 4 GenadiC 2015-11-25 05:29:27 EST
I was talking about Network Attachment on the host
Comment 5 Sandro Bonazzola 2016-01-27 08:48:50 EST
Martin, this bug is targeted 3.6.5 but referenced in 3.6.3 git log and on modified. can you please check?
Comment 6 Dan Kenigsberg 2016-02-01 06:36:46 EST
Ok, now that the merged code has been reverted from 3.6.* branches, the bug can be quietly solved on the master branch.
Comment 7 Mike McCune 2016-03-28 19:09:17 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 8 Michael Burman 2016-04-25 04:51:43 EDT
Verified on - 4.0.0-0.0.master.20160423161403.gite38df80.el7.centos
Comment 9 Sandro Bonazzola 2016-07-05 03:42:02 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.